#### D.14.5.10 netIntMatShort

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netIntMatShort(M); M int matrix

Assume:
  M is a int matrix

Return:
  visual presentation of M, only the first digits of each entry

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    int a=111111;
    int b=222222;
    int c=333333;
    int d=444444;
    intmat M[2][2]=a,b,c,d;
    print(M);
    ==>  111111 222222
    ==>  333333 444444
    netIntMatShort(M);
    ==> | 111111 222222 |
    ==> | 333333 444444 |
    ==>
    //
    print(M);
    ==>  111111 222222
    ==>  333333 444444
    netIntMatShort(M,2);
    ==> | 11... 22... |
    ==> | 33... 44... |
    ==>
    //

User manual for Singular version 4.4.1, 2025, generated by texi2html.